Summary: Portable Sound Event Library
Name: libcanberra
Version: 0.30
Release: 4%{?dist}
License: LGPLv2+
Url: http://git.0pointer.de/?p=libcanberra.git;a=summary
Source0: http://0pointer.de/lennart/projects/libcanberra/libcanberra-%{version}.tar.xz
Patch3000: 0001-gtk-Don-t-assume-all-GdkDisplays-are-GdkX11Displays-.patch

BuildRequires: gcc make libtool-ltdl-devel
BuildRequires: gtk3-devel alsa-lib-devel libvorbis-devel
BuildRequires: pulseaudio-libs-devel >= 0.9.15 gettext-devel
BuildRequires: gstreamer1-devel libtdb-devel systemd-devel

Requires: sound-theme-freedesktop
Requires: pulseaudio-libs >= 0.9.15

%description
A small and lightweight implementation of the XDG Sound Theme Specification

%package gtk3
Summary: Gtk+ 3.x Bindings for libcanberra
Requires: %{name} = %{version}-%{release}

%description gtk3
Gtk+ 3.x bindings for libcanberra

%package devel
Summary: Development Files for libcanberra Client Development
Requires: %{name} = %{version}-%{release}
Requires: %{name}-gtk3 = %{version}-%{release}

%description devel
Development Files for libcanberra Client Development

%post
%systemd_post canberra-system-bootup.service canberra-system-shutdown.service canberra-system-shutdown-reboot.service

%preun
%systemd_preun canberra-system-bootup.service canberra-system-shutdown.service canberra-system-shutdown-reboot.service

%prep
%autosetup -p1

%build
%configure \
  --disable-static \
  --enable-pulse \
  --enable-alsa \
  --enable-null \
  --disable-oss \
  --disable-gtk-doc \
  --with-builtin=dso \
  --with-systemdsystemunitdir=/usr/lib/systemd/system
%make_build

%install
%make_install

find %{buildroot} \( -name *.a -o -name *.la \) -exec rm {} \;
rm %{buildroot}%{_docdir}/libcanberra/README

%files
%license LGPL
%doc README LGPL
%{_libdir}/libcanberra.so.*
%dir %{_libdir}/libcanberra-%{version}
%{_libdir}/libcanberra-%{version}/libcanberra-pulse.so
%{_libdir}/libcanberra-%{version}/libcanberra-null.so
%{_libdir}/libcanberra-%{version}/libcanberra-multi.so
%{_libdir}/libcanberra-%{version}/libcanberra-gstreamer.so
%{_prefix}/lib/systemd/system/canberra-system-bootup.service
%{_prefix}/lib/systemd/system/canberra-system-shutdown-reboot.service
%{_prefix}/lib/systemd/system/canberra-system-shutdown.service
%{_bindir}/canberra-boot

%files gtk3
%{_libdir}/libcanberra-gtk3.so.*
%{_libdir}/gtk-3.0/modules/libcanberra-gtk3-module.so
%{_libdir}/gtk-3.0/modules/libcanberra-gtk-module.so
%{_bindir}/canberra-gtk-play
%{_datadir}/gnome/autostart/libcanberra-login-sound.desktop
%{_datadir}/gnome/shutdown/libcanberra-logout-sound.sh
%dir %{_datadir}/gdm/
%dir %{_datadir}/gdm/autostart/
%dir %{_datadir}/gdm/autostart/LoginWindow/
%{_datadir}/gdm/autostart/LoginWindow/libcanberra-ready-sound.desktop
%dir %{_libdir}/gnome-settings-daemon-3.0/
%dir %{_libdir}/gnome-settings-daemon-3.0/gtk-modules/
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/canberra-gtk-module.desktop

%files devel
%doc %{_datadir}/gtk-doc
%{_includedir}/canberra-gtk.h
%{_includedir}/canberra.h
%{_libdir}/libcanberra-gtk3.so
%{_libdir}/libcanberra.so
%{_libdir}/%{name}-%{version}/libcanberra-alsa.so
%{_libdir}/pkgconfig/libcanberra-gtk3.pc
%{_libdir}/pkgconfig/libcanberra.pc
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libcanberra-gtk.vapi
%{_datadir}/vala/vapi/libcanberra.vapi

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 cunshunxia <cunshunxia@tencent.com> - 0.30-1
- initial build
